Austin Group Defect Tracker

Aardvark Mark IV


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0001311 [1003.1(2016)/Issue7+TC2] Shell and Utilities Editorial Error 2019-12-20 10:09 2020-02-26 11:56
Reporter andras_farkas View Status public  
Assigned To
Priority normal Resolution Accepted  
Status Applied  
Name Andras Farkas
Organization
User Reference
Section ed
Page Number 2689
Line Number 87741
Interp Status ---
Final Accepted Text
Summary 0001311: j command incorrectly referred to in ed's rationale section
Description In the rationale section on ed's page ( https://pubs.opengroup.org/onlinepubs/9699919799/utilities/ed.html [^] ) we see:
On BSD, the join command with only a single address changes the current line to that address.

In the HTML:
On BSD, the [a href="../utilities/join.html"]join[/a] command with only a single address changes the current line to that address.

This link to the join utility is incorrect. ed's j command is intended.

(unrelatedly, it's odd that [p] is being used within [li] when LI elements already accept text content in HTML)

(Use of '[' instead of '<' in the above is to stop Mantis interpreting as HTML)
Desired Action The text should be changed as follows:
On BSD, the j command with only a single address changes the current line to that address.

The HTML should be changed as follows:
On BSD, the [b]j[/b] command with only a single address changes the current line to that address.

(Use of '[' instead of '<' in the above is to stop Mantis interpreting as HTML)
Tags tc3-2008
Attached Files

- Relationships

-  Notes
(0004694)
andras_farkas (reporter)
2019-12-20 10:11

The defect tracker swallowed up the HTML (which I didn't intend to have rendered) and I can't figure out how to edit the issue.
(0004695)
shware_systems (reporter)
2019-12-20 10:27

Mantis understands a subset of HTML tags, so when you want them to show as plain text you need to add a SPC or '_' after the '<' opening each tag. Except for the last part what's there now is understandable anyways.
(0004696)
geoffclare (manager)
2019-12-20 10:29
edited on: 2019-12-20 10:30

I have fixed the HTML problem in description and desired action by changing '<' to '['.

(0004697)
andras_farkas (reporter)
2019-12-20 10:33

I see. Thanks! :D
(0004720)
andras_farkas (reporter)
2020-01-12 01:46

Ping.
(0004788)
geoffclare (manager)
2020-02-26 11:56

Applied to the troff source. The change will come through into the HTML version next time a new PDF is published. (For now, the hyperlink has been removed so it just has the word join to match the current PDF.)

- Issue History
Date Modified Username Field Change
2019-12-20 10:09 andras_farkas New Issue
2019-12-20 10:09 andras_farkas Name => Andras Farkas
2019-12-20 10:09 andras_farkas Section => ed
2019-12-20 10:09 andras_farkas Page Number => ed
2019-12-20 10:09 andras_farkas Line Number => 1200
2019-12-20 10:11 andras_farkas Note Added: 0004694
2019-12-20 10:27 geoffclare Page Number ed => 2689
2019-12-20 10:27 geoffclare Line Number 1200 => 87741
2019-12-20 10:27 geoffclare Interp Status => ---
2019-12-20 10:27 geoffclare Description Updated
2019-12-20 10:27 geoffclare Desired Action Updated
2019-12-20 10:27 shware_systems Note Added: 0004695
2019-12-20 10:29 geoffclare Note Added: 0004696
2019-12-20 10:29 geoffclare Description Updated
2019-12-20 10:30 geoffclare Note Edited: 0004696
2019-12-20 10:33 andras_farkas Note Added: 0004697
2020-01-12 01:46 andras_farkas Note Added: 0004720
2020-02-03 16:09 Don Cragun Status New => Resolved
2020-02-03 16:09 Don Cragun Resolution Open => Accepted
2020-02-03 16:09 Don Cragun Tag Attached: tc3-2008
2020-02-26 11:56 geoffclare Note Added: 0004788
2020-02-26 11:56 geoffclare Status Resolved => Applied


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker